// var app = getApp();
Component({
  properties: {
    params: {
      type: null
    },
    data: {
      type: null
    }
  },
  data: {

  }, // 私有数据，可用于模板渲染

  lifetimes: {
    // 生命周期函数，可以为函数，或一个在methods段中定义的方法名
    attached() {

    },
    moved() {},
    detached() {},
  },

  // 生命周期函数，可以为函数，或一个在methods段中定义的方法名
  attached() {

  }, // 此处attached的声明会被lifetimes字段中的声明覆盖
  ready() {

  },

  pageLifetimes: {
    // 组件所在页面的生命周期函数
    show() {},
    hide() {},
    resize() {},
  },

  methods: {
    gohrefurl(e) {
      let item = e.currentTarget.dataset.item;
      if (item.hrefChoice && item.hrefChoice == 2) {
        if (item.appID) {
          if (item.miniUrl) {
            try {
              wx.navigateToMiniProgram({
                appId: item.appID,
                path: item.miniUrl,
                extraData: {},
                envVersion: 'release',
                success(res) {
                  // 打开成功
                },
                fail(res) {
                  wx.showToast({
                    title: '小程序跳转失败',
                    icon: 'none',
                    duration: 2000
                  });
                }
              });
            } catch (e) {
              wx.showToast({
                title: '小程序跳转失败',
                icon: 'none',
                duration: 2000
              });
            }
          } else {
            wx.showToast({
              title: '请设置跳转小程序后的跳转链接',
              icon: 'none',
              duration: 2000
            });
          }
        } else {
          wx.showToast({
            title: '请设置小程序所需跳转appId',
            icon: 'none',
            duration: 2000
          });
        }
      } else {
        let url = item.hrefurl;
        try {
          wx.navigateTo({
            url: url
          });
        } catch (e) {
          wx.showToast({
            title: '链接设置错误',
            icon: 'none',
            duration: 2000
          });
          //TODO handle the exception
        }
      }
    }
  }
});
